Bug 867991 - Tab order when tabbing between fields in several forms skips straight to save from part way through the form
Tab order when tabbing between fields in several forms skips straight to save...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 15:41 EDT by Greg Swift
Modified: 2013-09-19 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:15:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Swift 2012-10-18 15:41:04 EDT
Description of problem:
In several forms if you are using tab to continue to the next field you may skip over the rest of the form and straight to the form's submit button.


Version-Release number of selected component (if applicable):


How reproducible:
very

Steps to Reproduce:

In new environments (under manage organization):
1. Select Organization -> Add new environment
2. Fill in name, tab
3. Fill in desc, tab
4. 'create' is active not 'Prior Environment' 

Activation Keys:
1. New Key
2. Fill in name, tab
3. Fill in desc, tab
4. 'save' is active not 'Environment' (which i doubt is actually possible, but would be correct) or 'System Template'


  
Actual results:
See steps above

Expected results:
See steps above

Additional info:
Comment 2 Justin Sherrill 2013-01-22 16:11:53 EST
Thanks for filing.  Should be mostly fixed:  https://github.com/Katello/katello/pull/1440

8aa9104e1f4cd341684dbb1d9ff887487399a843


I'm not able to easily have the environment selector highlighted (the keyboard doesn't work for it anyways).  That might be something we need to enhance in the future.  opened RFE here: https://bugzilla.redhat.com/show_bug.cgi?id=902984
Comment 3 Mike McCune 2013-08-16 14:00:11 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:15:21 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.